#
# spec file for package cyrus-imapd (Version 2.0.16)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake cyrus-sasl cyrus-sasl-devel db-devel des drac ed openssl openssl-devel tcl tcl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl cyrus-sasl-devel db db-devel des devs diffutils drac e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone unzip util-linux vim

Name:         cyrus-imapd
Copyright:    1998 Carnegie Mellon University
Group:        Applications/Mail
Provides:     cyrus-imapd
Requires:     tcl ed perl-Cyrus-IMAP perl-Cyrus-SIEVE-acap perl-Cyrus-SIEVE-managesieve
Autoreqprov:  on
Summary:      An IMAP/POP Mailserver
Version:      2.0.16
Release:      86
Source:       %{name}-%{version}.tar.gz
Patch:        %{name}-%{version}.dif
Patch1:       drac_auth.patch.bz2
Patch2:       allow_auth_plain_proxying.patch
Patch3:       authid_tolower.patch
Patch4:       sieve_dotstuffing_fix.patch
BuildRoot:    %{_tmppath}/%{name}-root
%package -n perl-Cyrus-IMAP
Summary:      IMAP perl module from cyrus
Autoreqprov:  on
Group:        Development/Languages/Perl
%package -n perl-Cyrus-SIEVE-acap
Summary:      perl module for cyrus SIEVE ACAP
Autoreqprov:  on
Group:        Development/Languages/Perl
%package -n perl-Cyrus-SIEVE-managesieve
Summary:      perl modul for cyrus SIEVE
Autoreqprov:  on
Group:        Development/Languages/Perl
%package -n cyrus-imapd-devel
Summary:      Libraries and includes for cyrus imapd
Autoreqprov:  on
Group:        Development/Libraries

%description
The Cyrus IMAP Server.

Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>

SuSE series: n


%description -n perl-Cyrus-IMAP
IMAP perl module from cyrus for the cyrus imapd

Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>

SuSE series: perl


%description -n perl-Cyrus-SIEVE-acap
perl module for cyrus SIEVE ACAP

Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>

SuSE series: perl


%description -n perl-Cyrus-SIEVE-managesieve
perl modul for cyrus SIEVE

Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>

SuSE series: perl


%description -n cyrus-imapd-devel
Libraries and includes for cyrus imapd

Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>

SuSE series: n

%prep
%setup -n %{name}-%{version}
%patch1 -p 1
%patch -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 0

%build
%{?suse_update_config:%{suse_update_config -l -f build}}
rm -f sieve/sieve.c sieve/addr.c
autoconf
./configure --prefix=/usr \
	    --mandir=%{_mandir} \
            --with-cyrus-user=cyrus \
            --with-cyrus-group=mail \
            --with-cyrus-prefix=/usr/cyrus \
            --without-notify \
            --with-sasldir=/usr \
            --enable-netscapehack \
            --with-openssl=/usr/ssl \
            --with-auth=unix \
	    --with-dbdir=/usr/lib \
	    --enable-shared \
	    --with-drac=/usr/lib
make depend
make CFLAGS="-O2 -fPIC -I/usr/lib/sasl/include"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
# perl modules
# Cyrus IMAP
#*****************************************************************************
cd perl/imap
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Cyrus-IMAP
cd -
#*****************************************************************************
# Cyrus SIEVE acap
#*****************************************************************************
cd perl/sieve/acap
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Cyrus-SIEVE-acap
cd -
#*****************************************************************************
# Cyrus SIEVE managesieve
#*****************************************************************************
cd perl/sieve/managesieve
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Cyrus-SIEVE-managesieve
cd -
#*****************************************************************************
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
install -d -m 750 $RPM_BUILD_ROOT/var/imap
mkdir -p $RPM_BUILD_ROOT/var/adm
install -g root -m 755 -o root rc.cyrus $RPM_BUILD_ROOT/etc/init.d/cyrus
ln -sf ../etc/init.d/cyrus $RPM_BUILD_ROOT/sbin/rccyrus
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 rc.config.cyrus $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.cyrus
export DESTDIR=$RPM_BUILD_ROOT
make install
install -m 644 imapd.conf $RPM_BUILD_ROOT/etc/imapd.conf
install -m 644 master/conf/normal.conf $RPM_BUILD_ROOT/etc/cyrus.conf
touch $RPM_BUILD_ROOT/var/adm/imapd.log
true >> $RPM_BUILD_ROOT/var/imap/mailboxes
install -d -m 750 $RPM_BUILD_ROOT/var/imap/deliverdb/db
install -d -m 750 $RPM_BUILD_ROOT/var/imap/user
install -d -m 750 $RPM_BUILD_ROOT/var/imap/quota
install -d -m 750 $RPM_BUILD_ROOT/var/imap/proc
install -d -m 750 $RPM_BUILD_ROOT/var/imap/log
install -d -m 750 $RPM_BUILD_ROOT/var/imap/msg
install -d -m 750 $RPM_BUILD_ROOT/var/imap/db
install -d -m 750 $RPM_BUILD_ROOT/var/imap/socket
install -d -m 750 $RPM_BUILD_ROOT/usr/sieve
for i in a b c d e f g h i j k l m n o p q r s t u v w x y z; do
	install -d -m 755 $RPM_BUILD_ROOT/var/imap/user/$i
	install -d -m 755 $RPM_BUILD_ROOT/var/imap/quota/$i
	install -d -m 750 $RPM_BUILD_ROOT/usr/sieve/$i
done
chown -R cyrus.mail $RPM_BUILD_ROOT/var/imap
chown -R cyrus.mail $RPM_BUILD_ROOT/usr/sieve
install -d -m 750 $RPM_BUILD_ROOT/var/spool/imap
chown cyrus.mail $RPM_BUILD_ROOT/var/spool/imap
mv $RPM_BUILD_ROOT/%{_mandir}/man8/master.8 \
	$RPM_BUILD_ROOT/%{_mandir}/man8/cyrus_master.8

%post
mount | grep "`df . | sed -n \\$p | cut -d' ' -f1`" | grep reiserfs > /dev/null || {
        chroot . /usr/bin/chattr +S var/imap
        chroot . /usr/bin/chattr +S var/imap/user
        chroot . /usr/bin/chattr +S var/imap/user/*
        chroot . /usr/bin/chattr +S var/imap/quota
        chroot . /usr/bin/chattr +S var/imap/quota/*
}
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.cyrus
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.cyrus and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/cyrus

%postun
sbin/insserv etc/init.d

%files
%config(noreplace) /etc/imapd.conf
%config(noreplace) /etc/cyrus.conf
%config(noreplace) /var/imap/mailboxes
%dir /var/imap
/var/imap/deliverdb
/var/imap/log
/var/imap/msg
/var/imap/proc
/var/imap/quota
/var/imap/user
/var/imap/socket
/var/imap/db
/var/adm/fillup-templates/rc.config.cyrus
/etc/init.d/cyrus
/sbin/rccyrus
/usr/cyrus
/usr/sieve
/usr/bin/cyradm
/usr/bin/imtest
/var/spool/imap
%doc %{_mandir}/man1/cyradm.1.gz
%doc %{_mandir}/man1/imtest.1.gz
%doc %{_mandir}/man1/installsieve.1.gz
%doc %{_mandir}/man3/imclient.3.gz
%doc %{_mandir}/man5/cyrus.conf.5.gz
%doc %{_mandir}/man5/imapd.conf.5.gz
%doc %{_mandir}/man5/krb.equiv.5.gz
%doc %{_mandir}/man8/arbitron.8.gz
%doc %{_mandir}/man8/collectnews.8.gz
%doc %{_mandir}/man8/ctl_deliver.8.gz
%doc %{_mandir}/man8/ctl_mboxlist.8.gz
%doc %{_mandir}/man8/deliver.8.gz
%doc %{_mandir}/man8/fud.8.gz
%doc %{_mandir}/man8/idled.8.gz
%doc %{_mandir}/man8/imapd.8.gz
%doc %{_mandir}/man8/ipurge.8.gz
%doc %{_mandir}/man8/lmtpd.8.gz
%doc %{_mandir}/man8/cyrus_master.8.gz
%doc %{_mandir}/man8/mbpath.8.gz
%doc %{_mandir}/man8/pop3d.8.gz
%doc %{_mandir}/man8/quota.8.gz
%doc %{_mandir}/man8/reconstruct.8.gz
%doc %{_mandir}/man8/rmnews.8.gz
%doc %{_mandir}/man8/syncnews.8.gz
%doc %{_mandir}/man8/timsieved.8.gz
%doc COPYRIGHT README README.andrew README.SuSE doc 

%files -n cyrus-imapd-devel
/usr/include/cyrus
/usr/lib/libacap.a
/usr/lib/libcyrus.a

%files -n perl-Cyrus-IMAP
/usr/lib/perl5/site_perl/5.*/*-linux/Cyrus/IMAP
/usr/lib/perl5/site_perl/5.*/*-linux/Cyrus/IMAP.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Cyrus/IMAP
/var/adm/perl-modules/perl-Cyrus-IMAP
%doc %{_mandir}/man3/Cyrus::IMAP.3pm.gz
%doc %{_mandir}/man3/Cyrus::IMAP::Admin.3pm.gz
%doc %{_mandir}/man3/Cyrus::IMAP::Shell.3pm.gz

%files -n perl-Cyrus-SIEVE-acap
/usr/lib/perl5/site_perl/5.*/*-linux/Cyrus/SIEVE/acap.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Cyrus/SIEVE/acap
/var/adm/perl-modules/perl-Cyrus-SIEVE-acap
%doc %{_mandir}/man3/Cyrus::SIEVE::acap.3pm.gz

%files -n perl-Cyrus-SIEVE-managesieve
/usr/lib/perl5/site_perl/5.*/*-linux/Cyrus/SIEVE/managesieve.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Cyrus/SIEVE/managesieve
/var/adm/perl-modules/perl-Cyrus-SIEVE-managesieve
%doc %{_mandir}/man3/Cyrus::SIEVE::managesieve.3pm.gz

%changelog -n cyrus-imapd
* Wed Sep 05 2001 - choeger@suse.de
- added sieve_dotstuffing_fix
  See
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&msg=10136
  for more details
* Fri Aug 17 2001 - choeger@suse.de
- added -u root to startproc options
  for some strange reasons cyrus isn't able to read root.root owned
  files after booting into system. -u root "fixes" this.
* Tue Aug 07 2001 - choeger@suse.de
- update to 2.0.16  (important db3 fixes)
* Wed Jul 11 2001 - choeger@suse.de
- update to 2.0.15 (sig11 fixes)
* Thu Jun 28 2001 - choeger@suse.de
- bugfix: init script was not LSB compliant, Bugzilla ID#8983
* Fri Jun 15 2001 - choeger@suse.de
- update to version 2.0.14
* Mon May 28 2001 - choeger@suse.de
- little fix: Leave Returnpath empty, if it is already empty
* Wed May 16 2001 - lmuelle@suse.de
- remove obsolete mail notify
* Thu Apr 19 2001 - choeger@suse.de
- renamed master to cyrus_master to prevent conflict
  with postfix master.8 manpage
* Mon Apr 02 2001 - choeger@suse.de
- added missing fillup to %%post :-(
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Wed Feb 21 2001 - choeger@suse.de
- new version, 2.0.12
* Thu Feb 01 2001 - choeger@suse.de
- new version 2.0.11 (bugfix release)
* Mon Jan 22 2001 - schwab@suse.de
- Compile with -fPIC for inclusion in shared library.
* Wed Dec 27 2000 - choeger@suse.de
- typo fix in README.SuSE
- new version 2.0.9 (Bugfix Release)
* Mon Dec 18 2000 - choeger@suse.de
- added README.SuSE
* Mon Dec 18 2000 - choeger@suse.de
- bugfix: Dependencies
- bugfix: openssl to neededforbuilt
* Sat Dec 09 2000 - kukuk@suse.de
- Fix group tags
* Thu Dec 07 2000 - choeger@suse.de
- added init script for new cyrus master daemon
  was not able to test it, yet
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Fri Nov 24 2000 - ro@suse.de
- neededforbuild += openssl-devel
* Tue Nov 21 2000 - choeger@suse.de
- new version 2.0.7
- build root
- long package name
* Mon Nov 20 2000 - ro@suse.de
- removed eazy from neededforbuild
* Thu Nov 16 2000 - ro@suse.de
- fixed neededforbuild
* Wed Oct 25 2000 - choeger@suse.de
- fixed drac support
* Fri Oct 20 2000 - choeger@suse.de
- hacked in support for DRAC
* Wed Oct 04 2000 - choeger@suse.de
- changed the behaviour of quota command
-t user.<uname> now prints the quota usage of this
  user to STDOUT
* Mon Sep 25 2000 - choeger@suse.de
- bugfix: /etc/imapd.conf was mode 755 ... :-(
* Sun Jun 18 2000 - ro@suse.de
- regenerate bison-files
* Fri Jun 09 2000 - choeger@suse.de
- update to version 1.6.24
- excluded sasl and made separate package
- no longer need for pwcheck with ldap support,
  we are using pam_ldap, now
* Wed May 24 2000 - choeger@suse.de
- patch by jro to the false double-subscribe behaviour
* Mon May 22 2000 - choeger@suse.de
- there's no tail in inst-sys, so we have to use sed instead
* Mon May 22 2000 - choeger@suse.de
- added reiserfs-check before calling chattr in postinstall
* Thu Apr 27 2000 - choeger@suse.de
- added new config option use-unix to pwcheck.conf
- changed auth sequence from unix->ldap to ldap->unix
* Tue Mar 14 2000 - choeger@suse.de
- mnt/usr/bin/chattr does not work, so we call
  chroot . /usr/bin/chattr
* Mon Mar 13 2000 - choeger@suse.de
- security fix in pwcheck-module
* Fri Mar 10 2000 - choeger@suse.de
- chattr is not in inst-sys, so we call
  mnt/usr/bin/chattr
* Wed Mar 01 2000 - choeger@suse.de
- added %%{_mandir}
* Thu Feb 17 2000 - choeger@suse.de
- updated to version 1.5.19 of cyrus-imapd
* Tue Jan 04 2000 - choeger@suse.de
- bugfix for pwcheck
* Thu Nov 11 1999 - choeger@suse.de
- added mail-notification to postinstall
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild
* Tue Sep 28 1999 - choeger@suse.de
- first version
